Erro ao processar o pacote virtualbox5.0

1. Erro ao processar o pacote virtualbox5.0

Brunhild
brunhild

(usa XUbuntu)

Enviado em 13/08/2017 - 06:49h

Bom dia pessoal. Estou com um problema de instalação do virtualbox no Xubuntu e preciso da ajuda do Viva o Linux. Antes de tudo, esta é a versão que estou usando:
----------------------------------------------------------------------------------
$ lsb_release -a

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.3 LTS
Release: 16.04
Codename: xenial

$ uname -a

Linux brunhild-X550CA 4.10.0-32-generic #36~16.04.1-Ubuntu SMP Wed Aug 9 09:19:02 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
-----------------------------------------------------------------------------------

Estou seguindo um tutorial que preciso instalar o "virtualbox-5.0_5.0.6-103037-Ubuntu-trusty_amd64". No tutorial diz para simplesmente abrir o .deb deste e instalar. Ao clicar duas vezes no pacote, abriu-se o "Aplicativo Software do Gnome" com a opção de instalar o virtualbox. Cliquei no botão "instalar" mas logo que inicia, é abortado como nada estivesse acontecido. Simplesmente o botão "instalar" volta ao estado inicial. Então tentei abrir pelo terminal e aparece a seguinte frase:
$ sudo dpkg -i virtualbox-5.0_5.0.6-103037-Ubuntu-trusty_amd64.deb 

(Lendo banco de dados ... 207394 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar virtualbox-5.0_5.0.6-103037-Ubuntu-trusty_amd64.deb ...
A descompactar virtualbox-5.0 (5.0.6-103037~Ubuntu~trusty) sobre (5.0.6-103037~Ubuntu~trusty) ...
dpkg: problemas com dependências impedem a configuração de virtualbox-5.0:
virtualbox-5.0 depende de libqt4-opengl (>= 4:4.7.2); porém:
Pacote libqt4-opengl não está instalado.
virtualbox-5.0 depende de libvpx1 (>= 1.0.0); porém:
Pacote libvpx1 não está instalado.

dpkg: erro ao processar o pacote virtualbox-5.0 (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para systemd (229-4ubuntu19) ...
A processar 'triggers' para ureadahead (0.100.0-19) ...
A processar 'triggers' para hicolor-icon-theme (0.15-0ubuntu1) ...
A processar 'triggers' para shared-mime-info (1.5-2ubuntu0.1) ...
A processar 'triggers' para gnome-menus (3.13.3-6ubuntu3.1) ...
A processar 'triggers' para desktop-file-utils (0.22-1ubuntu5.1) ...
A processar 'triggers' para mime-support (3.59ubuntu1) ...
Erros foram encontrados durante o processamento de:
virtualbox-5.0
------------------------------------------------------------------------------------------------------

Então cheguei até este fórum e tentei os passos do pistoleiro edps que estão neste tópico:
https://www.vivaolinux.com.br/topico/Maquinas-Virtuais/Erro-instalacao-Virtualbox
Mais especificamente, parei na penúltima resposta dele. A seguir estão o resultado de cada passo.
-------------------- Passo 1 -----------------------
$ sudo apt-get update

Atingido:1 http://br.archive.ubuntu.com/ubuntu xenial InRelease
Obter:2 http://br.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Obter:3 http://br.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Ign:4 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:5 http://dl.google.com/linux/chrome/deb stable Release
Atingido:6 http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial InRelease
Obter:7 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Atingido:8 http://ppa.launchpad.net/webupd8team/sublime-text-3/ubuntu xenial InRelease
Baixados 306 kB em 1s (219 kB/s)
Lendo listas de pacotes... Pronto
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt_BR) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt_PT) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target DEP-11 (main/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target DEP-11-icons (main/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'http://dl.google.com/linux/chrome/deb stable InRelease' doesn't support architecture 'i386'
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt_BR) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt_PT) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target DEP-11 (main/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target DEP-11-icons (main/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1

$ sudo dpkg --configure -a

dpkg: problemas com dependências impedem a configuração de virtualbox-5.0:
virtualbox-5.0 depende de libqt4-opengl (>= 4:4.7.2); porém:
Pacote libqt4-opengl não está instalado.
virtualbox-5.0 depende de libvpx1 (>= 1.0.0); porém:
Pacote libvpx1 não está instalado.

dpkg: erro ao processar o pacote virtualbox-5.0 (--configure):
problemas de dependência - deixando desconfigurado
Erros foram encontrados durante o processamento de:
virtualbox-5.0

$ sudo apt-get -f install

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
virtualbox-5.0
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 155 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 207393 ficheiros e directórios actualmente instalados.)
A remover virtualbox-5.0 (5.0.6-103037~Ubuntu~trusty) ...
A processar 'triggers' para gnome-menus (3.13.3-6ubuntu3.1) ...
A processar 'triggers' para desktop-file-utils (0.22-1ubuntu5.1) ...
A processar 'triggers' para mime-support (3.59ubuntu1) ...
A processar 'triggers' para shared-mime-info (1.5-2ubuntu0.1) ...
A processar 'triggers' para hicolor-icon-theme (0.15-0ubuntu1) ...

-------------------- Passo 2 -----------------------
$ sudo apt-get update

Atingido:1 http://br.archive.ubuntu.com/ubuntu xenial InRelease
Obter:2 http://br.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease
Obter:4 http://br.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Atingido:5 http://dl.google.com/linux/chrome/deb stable Release
Obter:6 http://br.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [305 kB]
Atingido:7 http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial InRelease
Obter:8 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Obter:9 http://br.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [205 kB]
Obter:10 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [170 kB]
Obter:11 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [220 kB]
Atingido:12 http://ppa.launchpad.net/webupd8team/sublime-text-3/ubuntu xenial InRelease
Obter:14 http://br.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5.892 B]
Obter:15 http://br.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3.328 B]
Obter:16 http://br.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [5.132 B]
Baixados 1.221 kB em 1s (815 kB/s)
Lendo listas de pacotes... Pronto
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt_BR) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt_PT) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target DEP-11 (main/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target DEP-11-icons (main/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'http://dl.google.com/linux/chrome/deb stable InRelease' doesn't support architecture 'i386'
W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt_BR) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-pt_PT) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target DEP-11 (main/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1
W: Target DEP-11-icons (main/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:3 and /etc/apt/sources.list.d/google.list:1

$ sudo apt-get dist-upgrade

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Calculando atualização... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.

-------------------- Passo 3 -----------------------
$ dpkg -l | grep virtualbox

rc virtualbox-5.0 5.0.6-103037~Ubuntu~trusty amd64 Oracle VM VirtualBox

$sudo apt-get install build-essential dkms linux-headers-`uname -r` virtualbox-5.0 -s

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote virtualbox-5.0 não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'virtualbox-5.0' não tem candidato para instalação
-------------------------------------------------------
Fui até aqui. Depois disso, o que devo fazer?
Talvez uma observação é que baixei o Virtual Box pelo link do tutorial. Meu amigo seguiu o tutorial com o Xubuntu e deu certo mas no meu caso...

Obrigado pela atenção e desculpa se estiver ruim de ler.


  


2. Ubuntu Package

caio abreu de souza
CaioAbreu

(usa Ubuntu)

Enviado em 13/08/2017 - 08:27h

procura pelas dependências no site do ubuntu e instala uma de cada vez
https://packages.ubuntu.com/


3. Re: Erro ao processar o pacote virtualbox5.0

Brunhild
brunhild

(usa XUbuntu)

Enviado em 19/08/2017 - 18:56h

CaioAbreu escreveu:

procura pelas dependências no site do ubuntu e instala uma de cada vez
https://packages.ubuntu.com/


Obrigado pela rápida resposta CaioAbreu. E desculpe pela demora para responder. Esqueci completamente de responder.
Tentei instalar as dependência uma por uma mas não tive sucesso.
No final das contas, consegui instalar o Virtual Box só que é a versão mais atualizada. E deu bom que consegui seguir o tutorial. Pensei que tinha que ser a versão antiga que mencionei.
Mesmo assim obrigado pela ajuda CaioAbreu. Quando eu deparar com problemas parecidos, tentarei novamente sua sugestão.






Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts